#
# spec file for package rubygem-ruby-shadow
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-ruby-shadow
Version:        2.4.1
Release:        4.20
%define mod_name ruby-shadow
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 1.8}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/apalmblad/ruby-shadow
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        *nix Shadow Password Module
License:        SUSE-Public-Domain
Group:          Development/Languages/Ruby

%description
This module provides access to shadow passwords on Linux, OSX, FreeBSD,
OpenBSD, and Solaris.

%prep

%build

%install
%gem_install \
  --doc-files="HISTORY LICENSE README" \
  -f
%gem_cleanup
# MANUAL
find %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version}/ -name "*.[h|c]" -exec rm {} \;
# /MANUAL

%gem_packages

%changelog
* Tue Feb 10 2015 coolo@suse.com
- updated to version 2.4.1
* Sat Nov  1 2014 tboerger@suse.com
- Replaced rb_ver with an asterisk to expand correctly with multiple ruby versions
* Fri Oct 24 2014 tboerger@suse.com
- Added new ruby macros
* Sun May 18 2014 coolo@suse.com
- updated to version 2.3.4
  * Added support for more BSDs, thanks to https://github.com/bsiegert.
  * Simplified compatibility check, removing check for function not actually used in pwd.h implementations.
* Mon Mar  3 2014 boris@steki.net
- bugfix regarding shadow implementation:
  When the implementations were split into shadow and pwd, the code
  initialzing the structure used in the shadow implementation was replaced
  by older code not including the added field, always nil in that
  implemenation, for pw_change.
  The intent currently is that the passwdEntry structure should contain
  all the fields available across implementations.
* Thu Feb 13 2014 coolo@suse.com
- use new macros
* Fri Dec 20 2013 coolo@suse.com
- updated to version 2.3.2
  Fix up compilation issues causing problems with a non-GNU make.
* Fri Nov 22 2013 coolo@suse.com
- updated to version 2.3.1
  Remove sgetspent on implementations using pwd.h
  Merge OS X work into main gem.  Fix bugs with OS X implementation and tweak support for FreeBSD.
  See https://github.com/caleb/ruby-shadow/commit/20d98b7d9e3bbbef0b737affd3245590096a316c
  - Add license file to Manifest.
  - Adam Palmblad<apalmblad@gmail.com>
  Fix compilation issues with ruby 2.
* Sat May 18 2013 coolo@suse.com
- updated to version 2.2.0
  - integrating rubygem-ruby-shadow-2.1.4-rb20_fixes.patch
  - set license in gemspec
* Mon Apr 29 2013 boris@steki.net
- update gem extconf.rb to support ruby 2.0
* Thu Nov 15 2012 boris@steki.net
- updated License from wrongly selected MIT to
  author approved BSD-3-Clause (or Public Domain)
* Tue Oct 23 2012 boris@steki.net
- initial packaging 2.1.4
